#include <iostream>
#include <cmath>

using namespace std;

long long cifre(long long n)
{
    long long cif=0;
    while(n>0)
    {
        n=n/10;
        cif++;
    }
    return cif;
}



int main()
{
    long long a,b,c,maks,x,y,z,a1,b1,c1;
    cin>>a>>b>>c;
    x=a;
    y=b;
    z=c;
    a1=cifre(x);
    b1=cifre(y);
    c1=cifre(z);
    maks=(pow(10,b1+c1))*a+(pow(10,c1))*b +c;
    if(((pow(10,a1+c1))*b+(pow(10,c1))*a +c) > maks)
        maks=(pow(10,a1+c1))*b +(pow(10,c1))* a+ c;
    else if(((pow(10,b1+c1))*a+(pow(10,b1))*c +b) > maks)
        maks=(pow(10,b1+c1))*a+(pow(10,b1))*c +b;
    else if(((pow(10,a1+c1))*b+(pow(10,a1))*c +a) > maks)
        maks=(pow(10,a1+c1))*b+(pow(10,a1))*c +a;
    else if(((pow(10,a1+b1))*c+(pow(10,a1))*b +a) > maks)
        maks=(pow(10,a1+b1))*c+(pow(10,a1))*b +a;
    else
         maks=(pow(10,a1+b1))*c+(pow(10,b1))*a +b;
    cout<<maks;
    return 0;
}